| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.UnionVector Class Reference

Helper type for accessing vector of unions. More...

Inheritance diagram for com.google.flatbuffers.UnionVector:

## Detailed Description

Helper type for accessing vector of unions.

## Public Member Functions
UnionVector | __assign (int _vector, int _element_size, ByteBuffer _bb)
| Assigns vector access object to vector data. More...
Table | get (Table obj, int j)
| Initialize any Table-derived type to point to the union at the given `index`. More...

## Member Function Documentation

## ◆ __assign()

UnionVector com.google.flatbuffers.UnionVector.__assign | ( | int | _vector,
|  | int | _element_size,
|  | ByteBuffer | _bb
| ) |  |
| inline

Assigns vector access object to vector data.

Parameters

  _vector | Start data of a vector.
  _element_size | Size of a vector element.
  _bb | Table's ByteBuffer.

Returns
  Returns current vector access object assigned to vector data whose offset is stored at `vector`.

## ◆ get()

Table com.google.flatbuffers.UnionVector.get | ( | Table | obj,
|  | int | j
| ) |  |
| inline

Initialize any Table-derived type to point to the union at the given `index`.

Parameters

  obj | A `Table`-derived type that should point to the union at `index`.
  j | An `int` index into the union vector.

Returns
  Returns the Table that points to the union at `index`.

The documentation for this class was generated from the following file:

- UnionVector.java